use crate::checkout;
use crate::commit;

pub fn compute_diff(commit1: &str, commit2: &Option<String>) {
    let (borg_path, _) = commit::check_path();
    match commit2 {
        Some(c2) => {
            checkout::is_diff(commit1, c2, &borg_path, false);
        }
        None => {
            // Create an archive with the content of the current commit
            let tmp_name = format!("{}-tmp", commit1);
            checkout::silent_commit(String::from("none"), tmp_name.clone(), false);
            checkout::is_diff(commit1, &tmp_name, &borg_path, false);
            commit::delete_commit(&tmp_name, &borg_path);
        }
    }
}
